Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.w3.org/1999/xhtml-netuix-modified/1.0.0
element objecttag

Model
  `<objecttag
  _onclick = `{string}`
  _ondblclick = `{string}`
  _onkeydown = `{string}`
  _onkeypress = `{string}`
  _onkeyup = `{string}`
  _onmousedown = `{string}`
  _onmousemove = `{string}`
  _onmouseout = `{string}`
  _onmouseover = `{string}`
  _onmouseup = `{string}`
  archive = `{string}`
  classid = `{anyURI}`
  codebase = `{anyURI}`
  codetype = `{string}`
  cssClass = NMTOKENS
  data = `{anyURI}`
  declare = `"declare"`
  dir = `"ltr" | "rtl"`
  height = `{string}`
  htmlId = ID
  lang = `{language: pattern = ([a-zA-Z]{1,8})(-[a-zA-Z0-9]{1,8})*}`
  lang = `language` | `""`
  name = NMTOKEN
  standby = `{string}`
  style = `{string}`
  tabindex = `{Number: 0 ≤ value ≤ 32767}`
  title = `{string}`
  type = `{string}`
  usemap = `{anyURI}`
  width = `{string}`
  >
  param | p | h1 | h2 | h3 | h4 | h5 | h6 | div | ul | ol | dl | pre | hr | blockquote | address | fieldset | table | form | a | br | span | bdo | map | objecttag | img | tt | i | b | big | small | em | strong | dfn | code | q | samp | kbd | var | cite | abbr | acronym | sub | sup | inputbutton | inputcheckbox | inputfile | inputhidden | inputimage | inputpassword | inputradio | inputreset | inputsubmit | inputtext | select | textarea | label | button | noscript | ins | del | script*
  </objecttag>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  mixed content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: i, em, label, sub, p, q, kbd, acronym, li, sup, bdo, h1, h2, h3, h4, h5, h6, button, fieldset, del, td, th, head, small, var, dd, objecttag, big, cite, tt, address, abbr, strong, dt, dfn, div, caption, legend, code, samp, a, ins, b, span.

Nested Element Summary
choice 0...∞ |
`annonymous type derived from anyType` | `param` param is used to supply a named property value.
choice |
`annonymous type derived from Inline` | `p`
choice |
`annonymous type derived from Inline` | `h1`
`annonymous type derived from Inline` | `h2`
`annonymous type derived from Inline` | `h3`
`annonymous type derived from Inline` | `h4`
`annonymous type derived from Inline` | `h5`
`annonymous type derived from Inline` | `h6`
`annonymous type derived from Flow` | `div` generic language/style container
choice |
`annonymous type derived from anyType` | `ul` Unordered list
`annonymous type derived from anyType` | `ol` Ordered (numbered) list
`annonymous type derived from anyType` | `dl`
choice |
`annonymous type derived from pre.content` | `pre` content is "Inline" excluding "img|object|big|small|sub|sup"
`annonymous type derived from anyType` | `hr`
`annonymous type derived from Block` | `blockquote`
`annonymous type derived from Inline` | `address` information on author
`annonymous type derived from anyType` | `fieldset` The fieldset element is used to group form fields.
`annonymous type derived from anyType` | `table`
`annonymous type derived from form.content` | `form`
choice |
`annonymous type derived from a.content` | `a` content is "Inline" except that anchors shouldn't be nested
choice |
choice |
`annonymous type derived from anyType` | `br` forced line break
`annonymous type derived from Inline` | `span` generic language/style container
`annonymous type derived from Inline` | `bdo` I18N BiDi over-ride
`annonymous type derived from anyType` | `map`
`annonymous type derived from anyType` | `objecttag`
`annonymous type derived from anyType` | `img`
choice |
`annonymous type derived from Inline` | `tt` fixed pitch font
`annonymous type derived from Inline` | `i` italic font
`annonymous type derived from Inline` | `b` bold font
`annonymous type derived from Inline` | `big` bigger font
`annonymous type derived from Inline` | `small` smaller font
choice |
`annonymous type derived from Inline` | `em` emphasis
`annonymous type derived from Inline` | `strong` strong emphasis
`annonymous type derived from Inline` | `dfn` definitional
`annonymous type derived from Inline` | `code` program code
`annonymous type derived from Inline` | `q` inlined quote
`annonymous type derived from Inline` | `samp` sample
`annonymous type derived from Inline` | `kbd` something user would type
`annonymous type derived from Inline` | `var` variable
`annonymous type derived from Inline` | `cite` citation
`annonymous type derived from Inline` | `abbr` abbreviation
`annonymous type derived from Inline` | `acronym` acronym
`annonymous type derived from Inline` | `sub` subscript
`annonymous type derived from Inline` | `sup` superscript
choice |
`InputTagType` | `inputbutton`
`InputTagType` | `inputcheckbox`
`InputTagType` | `inputfile`
`InputTagType` | `inputhidden`
`InputTagType` | `inputimage`
`InputTagType` | `inputpassword`
`InputTagType` | `inputradio`
`InputTagType` | `inputreset`
`InputTagType` | `inputsubmit`
`InputTagType` | `inputtext`
`annonymous type derived from anyType` | `select` option selector
`annonymous type derived from anyType` | `textarea` multi-line text field
`annonymous type derived from Inline` | `label` Each label must not contain more than ONE field Label elements shouldn't be nested.
`annonymous type derived from button.content` | `button` Content is "Flow" excluding a, form and form controls
choice |
`annonymous type derived from Block` | `noscript` alternate content container for non script-based rendering
choice |
`annonymous type derived from Flow` | `ins`
`annonymous type derived from Flow` | `del`
`annonymous type derived from anyType` | `script` script statements, which may include CDATA sections

Attribute Summary
`Script` | `_onclick`
`Script` | `_ondblclick`
`Script` | `_onkeydown`
`Script` | `_onkeypress`
`Script` | `_onkeyup`
`Script` | `_onmousedown`
`Script` | `_onmousemove`
`Script` | `_onmouseout`
`Script` | `_onmouseover`
`Script` | `_onmouseup`
`UriList` | `archive`
`URI` | `classid`
`URI` | `codebase`
`ContentType` | `codetype`
`NMTOKENS` | `cssClass`
`URI` | `data`
`annonymous type derived from token` | `declare`
`annonymous type derived from token` | `dir`
`Length` | `height`
`ID` | `htmlId`
`LanguageCode` | `lang`
`union of (language | annonymous type derived from string)` | `lang` Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
`NMTOKEN` | `name`
`Text` | `standby`
`StyleSheet` | `style`
`tabindexNumber` | `tabindex`
`Text` | `title`
`ContentType` | `type`
`URI` | `usemap`
`Length` | `width`

Attribute Detail

### _onclick

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _ondblclick

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onkeydown

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onkeypress

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onkeyup

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmousedown

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmousemove

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmouseout

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmouseover

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmouseup

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### archive

Definition

  Defined with global type UriList

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### classid

Definition

  Defined with global type URI

Model
  `{anyURI}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### codebase

Definition

  Defined with global type URI

Model
  `{anyURI}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### codetype

Definition

  Defined with global type ContentType

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### cssClass

Definition

  Defined with global type NMTOKENS

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Type
  NMTOKENS

### data

Definition

  Defined with global type URI

Model
  `{anyURI}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### declare

Model
  `"declare"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Enumeration Facet
  `"declare"`

### dir

Model
  `"ltr" | "rtl"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Enumeration Facet
  `"ltr", "rtl"`

### height

Definition

  Defined with global type Length

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### htmlId

Definition

  Defined with global type ID

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### lang

Definition

  Defined with global type LanguageCode

Model
  `{language: pattern = ([a-zA-Z]{1,8})(-[a-zA-Z0-9]{1,8})*}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### lang

Definition

  Defined as global attribute lang

Documentation

      Attempting to install the relevant ISO 2- and 3-letter
               codes as the enumerated possible values is probably never
               going to be a realistic possibility.  See
               RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry
               at http://www.iana.org/assignments/lang-tag-apps.htm for
               further information.

               The union allows for the 'un-declaration' of xml:lang with
               the empty string.

Model
  `language` | `""`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Type

  Union of Types
  `language` | `language`
  `annonymous type derived from string` | Fundamental Facets equality, non-numeric, unbounded, unordered, countable infinite value space White Space Processing preserve Enumeration Facet `""`

### name

Definition

  Defined with global type NMTOKEN

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### standby

Definition

  Defined with global type Text

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### style

Definition

  Defined with global type StyleSheet

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tabindex

Definition

  Defined with global type tabindexNumber

Model
  `{Number: 0 ≤ value ≤ 32767}`

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, bounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type Text

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### type

Definition

  Defined with global type ContentType

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### usemap

Definition

  Defined with global type URI

Model
  `{anyURI}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### width

Definition

  Defined with global type Length

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1